Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class DimensionJoinConditionHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.DimensionJoinConditionHandle

    public class DimensionJoinConditionHandle

extends StructureHandle

Represents a dimension join condition in the DimensionCondition. It defines two keys for the cube and hierarchy join, one is from cube and another is from hierarchy.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`DimensionJoinConditionHandle(SimpleValueHandle valueHandle, int index)` Constructs a dimension join condition handle with the given `SimpleValueHandle` and the index of the dimension join condition in the dimension condition.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCubeKey()` Gets the cube key in this dimension join condition.
`java.lang.String` | `getHierarchyKey()` Gets the hierarchy key in this dimension join condition.
`LevelHandle` | `getLevel()` Gets the referred level element handle of this condition.
`java.lang.String` | `getLevelName()` Gets the referred level full name of this condition.
`int` | `hashCode()`
`void` | `setCubeKey(java.lang.String cubeKey)` Sets the cube key in this dimension join condition.
`void` | `setHierarchyKey(java.lang.String hierarchyKey)` Sets the hierarchy key in this dimension join condition.
`void` | `setLevel(LevelHandle levelHandle)` Sets the referred level by the handle.
`void` | `setLevel(java.lang.String levelName)` Sets the referred level by the name.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DimensionJoinConditionHandle

    public DimensionJoinConditionHandle(SimpleValueHandle valueHandle,
                                        int index)

  Constructs a dimension join condition handle with the given `SimpleValueHandle` and the index of the dimension join condition in the dimension condition.

  Parameters:
    `valueHandle` - handle to a list property or member
    `index` - index of the structure within the list

Method Detail

### getCubeKey

    public java.lang.String getCubeKey()

  Gets the cube key in this dimension join condition.

  Returns:
    the cube key in this dimension join condition

### setCubeKey

    public void setCubeKey(java.lang.String cubeKey)

  Sets the cube key in this dimension join condition.

  Parameters:
    `cubeKey` - the cube key to set

### getHierarchyKey

    public java.lang.String getHierarchyKey()

  Gets the hierarchy key in this dimension join condition.

  Returns:
    the hierarchy key in this dimension join condition

### setHierarchyKey

    public void setHierarchyKey(java.lang.String hierarchyKey)

  Sets the hierarchy key in this dimension join condition.

  Parameters:
    `hierarchyKey` - the hierarchy key to set

### getLevel

    public LevelHandle getLevel()

  Gets the referred level element handle of this condition.

  Returns:
    level element handle of this condition if found, otherwise null

### getLevelName

    public java.lang.String getLevelName()

  Gets the referred level full name of this condition.

  Returns:
    level full name of this condition if set, otherwise null

### setLevel

    public void setLevel(java.lang.String levelName)
                  throws SemanticException

  Sets the referred level by the name.

  Parameters:
    `levelName` - the full name of the level element to set
  Throws:
    `SemanticException`

### setLevel

    public void setLevel(LevelHandle levelHandle)
                  throws SemanticException

  Sets the referred level by the handle.

  Parameters:
    `levelHandle` - the level handle to set
  Throws:
    `SemanticException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.